body {
  font-size: 95%;
  font-family: "Lucida Grande", "Bitstream Vera Sans", Helvetica, Verdana, Arial, sans-serif;
  margin: 0;
  padding: 0;
}
img { 
  border: none;
  vertical-align: middle; 
}
/* because of IE6 this should be a separate block from the previous one */
input[type='image'] { 
  border: none;
  vertical-align: middle; 
}
h3 {
  font-size: 130%;
  margin-top: 1.25em;
  margin-bottom: .5em;
}
.hidden {
  display: none;
}
.clear {
  font-size: 1px;
  clear: both;
}
.warning {
  color: red;
}

table {
  border-collapse: collapse;
}

/* main layout */

#header {
  background-color: #c00;
  color: white;
  width: 100%;
  padding-top: 1px;
  padding-bottom: 20px;
}
#header a, #header a:visited {
  color: white;
  text-decoration: none;
}
#header a:hover, #header a:visited:hover {
  text-decoration: underline;
}
#site-title {
  font-size: 150%;
  font-weight: bold;
  margin-top: 19px;
  margin-left: 20px;
}
#site-subtitle {
  color: #fc6;
  font-size: 90%;
  font-style: italic;
  margin-left: 20px;
}
#navigation {
  font-size: 90%;
  margin-top: -5px;
  margin-bottom: -20px;
  line-height: 100%;
  padding: .5em;
  padding-right: 20px;
  border-bottom: 2px solid #c00;
  _border-bottom: 0; /* IE only */
  text-align: right;
}
#navigation a, #navigation a:visited {
  background-color: #eae3c5;
  color: black;
  display: inline;
  padding: .5em;
  padding-left: .9em;
  padding-right: .9em;
  text-decoration: none;
}
#navigation a:hover, #navigation a:visited:hover {
  text-decoration: underline;
}
#navigation strong a, #navigation strong a:visited {
  background-color: white;
}
#navigation .separator {
  display: none;
}
#main {
  float: left;
  width: 100%;
}
#content {
  font-size: 95%;
  padding: 20px;
}
#footer {
  color: #999;
  background-color: #f7f7f7;
  border-top: 1px solid #eaeaea;
  font-size: 80%;
  float: left;
  padding-top: 20px;
  padding-bottom: 20px;
  width: 100%;
}
#footer p {
  padding-left: 20px;
  padding-right: 20px;
}
#site-links {
  color: #f5cbcb;
  font-size: 90%;
  margin: 0;
  position: absolute;
  right: 0;
  top: 20px;
}
#site-links a, #site-links a:visited {
  color: white;
}
#site-links a:hover, #site-links a:visited:hover {
  text-decoration: none;
}
#site-links strong a, #site-links strong a:visited {
  text-decoration: none;
}


/* messages */

#notice, #error {
  color: white;
  margin-top: 25px;
  margin-left: 20px;
  margin-right: 20px;
  padding: .75em;
  padding-top: 0;
  padding-bottom: 0;
}
#notice {
  background-color: #0c3;
  border: 3px solid #7FE699;
}
#error {
  background-color: #c00;
  border: 3px solid #e67f00;
}
h1 { 
  margin-top: 0;
}


/* index table */

#content table.index {
  font-size: 90%;
  width: 100%;
  margin-bottom: 2em;
  border-bottom: 1px solid #eaeaea;
}
#content table.index td, table.index th {
  text-align: left;
}
#content table.index th {
  background-color: #f5f5f5;
  font-size: 90%;
  font-weight: normal;
  padding: 4px;
  padding-top: 2px;
  padding-bottom: 2px;
}
#content table.index td {
  border-top: 1px solid #eaeaea;
  padding: 4px;
}
#content table.index .status {
  width: 8em;
}
#content table.index td.status {
  color: #9eb3bf;
}
#content table.index td.status.draft-status {
  color: #c00;
}
#content table.index td.status.published-status {
  color: black;
}
#content table.index td.status.hidden-stats {
  color: #0c0;
}
#content table.index .add-child {
  width: 100px;
  padding-left: 0;
}
#content table.index .remove {
  width: 100px;
  padding-left: 0;
}
#content table.index .node .layout,
#content table.index .node .snippet,
#content table.index .node .user {
  font-size: 115%;
  font-weight: bold;
}
#content table.index .node .user small {
  color: #666;
  font-size: 90%;
  font-style: italic;
  font-weight: normal;
  margin-left: .5em;
}
#content table.index .node.level-0 .page {
  font-size: 120%;
  font-weight: bold;
}
#content table.index .node.level-1 .page{
  font-size: 115%;
  font-weight: bold;
}
#content table.index .node.level-2 .page {
  font-size: 115%;
}
#content table.index .node.level-3 .page{
  font-size: 105%;
}
#content table.index .node .page a {
  text-decoration: none;
}
#content table.index .node .page a .title, #content table.index .node .page a:visited .title,
#content table.index .node .snippet a, #content table.index .node .snippet a:visited,
#content table.index .node .layout a, #content table.index .node .layout a:visited,
#content table.index .node .user a, #content table.index .node .user a:visited {
  color: black;
  text-decoration: none;
}
#content table.index .node.virtual .page a .title, #content table.index .node.virtual .page a:visited .title {
  color: #9eb3bf;
}
#content table.index .node .page a:hover .title, #content table.index .node .page a:visited:hover .title,
#content table.index .node .snippet a:hover, #content table.index .node .snippet a:visited:hover,
#content table.index .node .layout a:hover, #content table.index .node .layout a:visited:hover,
#content table.index .node .user a:hover, #content table.index .node .user a:visited:hover {
  color: blue;
  text-decoration: underline;
}
#content table.index td.note {
  color: silver;
  font-size: 85%;
  font-style: italic;
  padding: 3em;
  text-align: center;
}
#content table.index .node .page .info {
  color: #9eb3bf;
  font-style: italic;
  font-weight: normal;
}
#content table.index tr.highlight,
#content table.index tr:hover {
  background-color: #ffffb3;
}
#content table.index .no-children .w1 {
  padding-left: 23px;
}
#content table.index .page .title,
#content table.index .page .info {
  position: relative;
  top: 2px;
}
#content table.index .page img.expander {
  padding: 3px;
  padding-top: 6px;
  padding-bottom: 6px;
}


/* form elements */

#content .form-area {
  background-color: #f5f1e2;
  margin-left: -20px;
  margin-right: -20px;
  padding: 20px;
  padding-top: 15px;
  padding-bottom: 10px;
  width:100%;
}
#content .form-area h3 {
  font-size: 100%;
  margin-bottom: 0;
}
#content .form-area p {
  margin-top: 0;
}
#content .form-area small {
  font-size: 75%;
}
#content .form-area label {
  font-weight: bold;
}
#content .form-area .textbox {
  font-size: 100%;
}
#content .form-area .title {
  margin-bottom: 0;
  width:100%;
}
#content .form-area .title label {
  display: block;
  position: relative;
}
#content .form-area .title .textbox {
  font-family: Georgia, Palatino, "Times New Roman", Times, serif;
  font-size: 200%;
  width: 100%;
}
#content .form-area .content {
  margin-top: 1em;
  margin-bottom: 1em;
}
#content .form-area .row {
  clear: both;
  margin: 1em 0;
  width: 100%;
}
#content .form-area .row p {
  float: left;
  margin-right: 2em;
  margin-bottom: 1em;
}
#content .form-area .more-or-less {
  float: left;
  margin-top: 0;
  margin-bottom: 1em;
  width: 100%;
}
#content .form-area .fieldset {
  margin-right: .5em;
}
#content .form-area .error-with-field .error {
  color: #f00;
  display: block;
  padding: 2px;
  padding-top: 0;
}
#content .buttons {
  font-size: 80%;
  margin-top: 2.5em;
}
#content .button {
  font-size: 150%;
}
#content table.fieldset {
  border-bottom: 1px solid #DFD3C3;
  margin-bottom: .3em;
  width: 100%;
}
#content table.fieldset td, #content table.fieldset th {
  background-color: white;
  border-top: 1px solid #DFD3C3;
  padding: 6px;
}
#content table.fieldset th.label {
  padding-top: 10px;
  padding-right: 8px;
  vertical-align: top;
  white-space: nowrap;
  width: 1%;
  text-align: left;
}
#content .fieldset label {
  font-weight: normal;
}
#content table.fieldset th.label .optional {
  color: #929488;
}
#content table.fieldset td.field {
  padding-left: 0px;
  padding-right: 10px;
  text-align: right;
}
#content #extended-metadata .fieldset td.field {
  width: 100%;
}
#content table.fieldset td.field .textbox,
#content table.fieldset td.field textarea {
  width: 99.5%;
  margin-right: -5px;
}
#content table.fieldset td.help {
  background-color: #F5F1E2;
  font-size: 80%;
  padding: 0 10px;
  width: 31%;
}
#content table.fieldset input {
  font-size: 100%;
}
#content table.fieldset .checkbox {
  display: block;
  float: left;
  padding-top: 4px;
  padding-left: 10px;
  width: 10em;
  text-align: left;
}
#content table.fieldset textarea {
  font-family: "Lucida Grande", "Bitstream Vera Sans", Helvetica, Verdana, Arial, sans-serif;
  font-size: 100%;
  width: 100%;
  height: 3.75em;
  margin-top: 4px;
  margin-bottom: 4px;  
}
#content table.fieldset .error-with-field small {
  color: red;
}


/* tabs */

#content #tabs {
  background-image: url(/images/admin/brown-bottom-line.gif);
  background-position: bottom;
  background-repeat: repeat-x;
  float: left;
  width: 100%;
  margin-right: -4px;
}
#content #tabs .tab {
  background-color: #eae3c5;
  border-bottom: 1px solid #cdc295;
  color: black;
  display: inline-block;
  font-size: 100%;
  text-align: left;
  margin-right: 3px;
  padding: 15px;
  padding-top: 7px;
  padding-bottom: 4px;
  text-decoration: none;
  text-transform: titlecase;
}
#content #tabs .tab.here {
  background-color: white;
  border: 1px solid #cdc295;
  border-bottom: 1px solid white;
  font-weight: bold;
  padding-left: 13px;
  padding-right: 13px;
  padding-top: 6px;
}
#content #tab-toolbar {
  float: right;
  margin-top: .35em;
}
#content #pages {
  background: white;
  width: 100%;
  clear: both;
}
#content #pages .page {
  padding: 20px;
  border: 1px solid #cdc295;
  border-top-width: 0;
}
#content .textarea {
  height: 280px;
  border: 1px solid #cdc295;
  font-family: Monaco, "Courier New", Courier, monospace;
  font-size: 95%;
}
#content #pages label {
  font-size: 85%;
  font-weight: normal !important;
}


/* popups */

#popups .popup {
  background-color: white;
  border: 5px solid silver;
  padding: 2em;
  padding-top: 1em;
  padding-bottom: .5em;
}
#popups .popup .busy {
  float: right;
}
#popups .popup h3 {
  margin-top: 0;
}
#popups .popup .close-link {
  font-size: 85%;
}
#add-part-popup {
  width: 17em;
}

/* tag reference */

#tag-reference-popup {
  width: 75%;
}
#tag-reference {
  border: 1px solid silver;
  height: 300px;
  overflow: auto;
  margin-left: -15px;
  margin-right: -15px;
  padding: 3px;
}
.tag-description {
  border-bottom: 1px dotted silver;
  font-size: 90%;
  padding: 12px;
}
.tag-description h4 {
  color: green;
  font-size: 120%;
  margin-top: 0;
  margin-bottom: 8px;
}
.tag-description code {
  background-color: #f5f5f5;
  color: #666;
  font-family: Monaco, "Courier New", Courier, monospace;
  padding-top: 1px;
  padding-bottom: 1px;
}
.tag-description pre {
  background-color: #f5f5f5;
  border: 1px solid #ddd;
  color: #666;
  font-family: Monaco, "Courier New", Courier, monospace;
  overflow: hidden;
  padding: 10px;
}
#reference-links {
  margin-left: 2em;
  font-size: 85%;
}
#tag-reference-link { 
  margin: 0 0.5em;
}


/* filter reference */

#filter-reference-popup {
  width: 75%;
}
#filter-reference {
  border: 1px solid silver;
  height: 300px;
  overflow: auto;
  margin-left: -15px;
  margin-right: -15px;
  padding: 15px;
  padding-top: 1px;
}
#filter-reference code {
  background-color: #f5f5f5;
  color: #666;
  font-family: Monaco, "Courier New", Courier, monospace;
  padding-top: 1px;
  padding-bottom: 1px;
}
#filter-reference pre {
  background-color: #f5f5f5;
  border: 1px solid #ddd;
  color: #666;
  font-family: Monaco, "Courier New", Courier, monospace;
  overflow: hidden;
  padding: 10px;
}
#filter-reference h4 {
  color: green;
  font-size: 120%;
  margin-top: 0;
  margin-bottom: 8px;
}
table#filter-reference-table {
  width: 100%;
}
table#filter-reference-table th {
  color: green;
  font-size: 120%;
  padding: 5px;
  padding-left: 0;
  padding-right: 0;
}
table#filter-reference-table td,
table#filter-reference-table th {
  border-bottom: 1px dotted silver;
  padding-top: 8px;
  padding-bottom: 8px;
  text-align: left;
}
table#filter-reference-table h1,
table#filter-reference-table h2,
table#filter-reference-table h3,
table#filter-reference-table h4 {
  color: black;
  margin: 0;
  margin-bottom: .5em;
}
table#filter-reference-table acronym {
  border-bottom: 1px dotted silver;
}
table#filter-reference-table blockquote {
  border-left: 4px solid silver;
  padding-left: 1em;
  padding-right: 1em;
  margin: 0;
  margin-top: 1em;
  margin-bottom: 1em;
}
